package filters;

/**
 * This abstract class is a framework for classes. It filters versatile formats
 * into a single reduced format compatible with converter classes, such as the
 * Read2Wig class.
 * 
 * @author Ali Abdallah
 * @version 01.08.2011
 * @since jdk 1.6
 */
public abstract class Filter {
	
	private String 
	/**
	 * The path of the input file.
	 */
	input, 
	/**
	 * The path of the output file.
	 */
	output;
	
	public Filter(String input, String output){
		this.input = input;
		this.output = output;
	}
	
	public abstract void filter();
	
	public abstract void sort();
		
		
	public String getInputPath() {
		return input;
	}

	public String getOutputPath() {
		return output;
	}
	
	public void setInputPath(String input){
		this.input = input;
	}
}
